JavaScript — ОШИБКА в bundle.js от UglifyJs

ОШИБКА в bundle.js от UglifyJs

Я завершил проект, и теперь пришло время его построить. Я использую шаблонный проект и до сих пор не до конца понимаю все, что происходит с npm / webpack. При запуске «npm start» я получаю сообщение об ошибке:

 ERROR in bundle.js from UglifyJs SyntaxError: Unexpected token: punc ()) [bundle.js:848,29] 

После часа поиска в Интернете по этому вопросу, я все еще не могу решить его. Насколько я понимаю, эта проблема происходит потому, что Uglify еще не нравится ES2016. Однако решения, которые я нашел в Интернете, похоже, не работают или не имеют достаточного смысла для их реализации.

Я нашел этот вопрос stackoverflow и изменил строку webpack в файле package.json моего проекта на:

 "webpack": "fulls1z3/webpack#v2.1.0-beta.27-harmony" 

Но это не сработало. Другое предложение о разветвлении веб-пакета на данный момент мне не понятно.

Я также попытался запустить babel в своей папке src по другому предложению, но, похоже, это ничего не дало, или я запустил его неправильно.

У кого-нибудь есть хорошее решение этой проблемы? Я довольно застрял на данный момент и не успел изучить npm / webpack с нуля, чтобы полностью понять, что происходит.

Очень признателен!

Понравилась статья? Поделиться с друзьями:
JavaScript & TypeScript
Adblock
detector